package org.processmining.plugins.mapvis.replay;

import java.util.Date;
import java.util.LinkedList;


public abstract class AbsEvent {
	private short activityNameValue;
	private int caseIdValue;
	private Date timestamp;
	private ActivityState state;
	private LinkedList<Object[]> varChanges = new LinkedList<Object[]>();
	private boolean lastTraceIndex;
	
	public void setActivityName(String activityName) {
		activityNameValue=NameLookUp.getInstance().getValueByActivityName(activityName);
	}
	public String getActivityName() {
		return NameLookUp.getInstance().getActivityNamebyValue(activityNameValue);
	}
	public void setCaseId(String caseId) {
		caseIdValue=NameLookUp.getInstance().getValueByCaseId(caseId);
	}
	public String getCaseId() {
		return NameLookUp.getInstance().getCaseIdbyValue(caseIdValue);
	}
	public void setTimestamp(Date timestamp) {
		this.timestamp = timestamp;
	}
	public Date getTimestamp() {
		return timestamp;
	}
	public void setState(ActivityState state) {
		this.state = state;
	}
	public ActivityState getState() {
		return state;
	}

	public LinkedList<Object[]> getVars() {
		return varChanges;
	}
	
	public boolean isLastTraceIndex() {
		return lastTraceIndex;
	}
	public void setLastTraceIndex(boolean lastTraceIndex) {
		this.lastTraceIndex = lastTraceIndex;
	}
}
