package org.processmining.plugins.mapvis.replay;

import java.util.HashSet;
import java.util.Set;
import java.util.TreeMap;

public class ActivityState implements java.io.Serializable 
{
	private static final long serialVersionUID = 1L;
	public static final byte UNSCHEDULED=0;
	public static final byte SCHEDULED=1;
	public static final byte ASSIGNED=2;
	public static final byte STARTED=3;
	public static final byte SUSPENDED=4;
	public static final byte CONCLUDED=5;
	public static final byte ABORTED=6;
	private TreeMap<String, Object> activityVars = null;
	private byte progressState;
	
	public byte getProgressState() {
		return progressState;
	}
	public void setProgressState(byte progressState) {
		this.progressState = progressState;
	}

	
	public void setVar(String key, Object value) {
		if (activityVars==null)
			activityVars=new TreeMap<String, Object>();
		activityVars.put(key, value);
	}
	
	public Object getVar(String key) {
		if (activityVars==null)
			return new TreeMap<String, Object>();
		else
			return activityVars.get(key);
	}
	public Set<String> getAllVarName() {
		if (activityVars==null)
			return new HashSet<String>();
		else		
			return activityVars.keySet();
	}
}


