package org.processmining.plugins.mapvis.replay;

import java.io.Serializable;

public class FrequentValueEntry implements Serializable, Comparable<FrequentValueEntry> {

	private static final long serialVersionUID = 1L;
	private final String varName;
	private final int occurrence;

	public FrequentValueEntry(String varName, int occurrence) {
		this.varName = varName;
		this.occurrence = occurrence;
	}

	public String getVarName() {
		return varName;
	}

	public int getOccurrence() {
		return occurrence;
	}

	public int compareTo(FrequentValueEntry o) {
		return varName.compareTo(o.varName);
	}

}
