package org.processmining.plugins.mapvis.replay;

import java.io.Serializable;

public class WorkItemMeta implements Serializable {

	private static final long serialVersionUID = 1L;
	private long enablementTime;
	private long startedTime;
	private long allocatedTime;

	public long getEnablementTime() {
		return enablementTime;
	}

	// when event has SCHEDULED value on it's transition life-cycle
	public void setEnablementTime(long enablementTime) {
		this.enablementTime = enablementTime;
	}

	public long getStartedTime() {
		return startedTime;
	}

	// when event has STARTED value on it's transition life-cycle
	public void setStartedTime(long startedTime) {
		this.startedTime = startedTime;
	}

	public long getAllocatedTime() {
		return allocatedTime;
	}

	// when event has ASSIGNED value on it's transition life-cycle 
	public void setAllocatedTime(long allocatedTime) {
		this.allocatedTime = allocatedTime;
	}

}
