package org.processmining.plugins.mapvis.visualize;

import javax.swing.JComponent;

import org.processmining.framework.connections.impl.AbstractConnection;
import org.processmining.framework.plugin.annotations.Plugin;

@Plugin(name= "Visualize Maps Connection Factory",
		parameterLabels = {"VisualizeMapsFrame"},
		returnTypes = JComponent.class,
		returnLabels = {"Map Visualization"},
		userAccessible = false)
public class VisualizeMapsConnection extends AbstractConnection {
	public VisualizeMapsConnection(JComponent frame) {
		super("VisualizeMapsConnection");
		put("Visualization of map", frame);
	}
}
